Skip to end of metadata
Go to start of metadata

You are viewing an old version of this page. View the current version.

Compare with Current View Page History

« Previous Version 34 Next »

Source and General Precompiled Distribution

The latest Gant distribution downloads are available:

1.9.9 Source

Tarball

Zipfile

1.9.9 Binary, compiled for use with Groovy 1.8.8 installation

Tarball

Zipfile

1.9.9 Binary, compiled for use with Groovy 2.0.6 installation

Tarball

Zipfile

1.9.9 Binary, compiles for use with Groovy 2.1.0 installationTarballZipfile

1.9.9 Binary, standalone installation

Tarball

Zipfile

Installation of any of the binary distributions is simply a matter of extracting the distribution to the desired location. A directory gant-1.9.9 will be created.

The jars have been uploaded to the Codehaus Maven repository (which then gets synced to the central Maven repository), the groupId is org.codehaus.gant, the artifactId is one of gant_groovy1.8, gant_groovy2.0, gasnt_groovy2.1 (indicating which Groovy version the artefact was compiled against), and the version is 1.9.9.

Earlier distributions are available at http://dist.codehaus.org/gant/distributions.

Snapshots of latest development versions, if any are available, are held on the Codehaus distribution snapshots repository with appropriate artefacts in the Codehaus artefacts snapshots repository.

Mac OS X using MacPorts

Mac OS X users can get Gant, and Groovy, using MacPorts. As at 2011-05-04 09:22+01:00 this has Gant 1.9.5 and Groovy 1.8.0.

(Thanks to René Groeschke for updates to the MacPorts system.)

Debian and Ubuntu Packages

Debian and Ubuntu users can install Gant using the usual package management system (apt-get and/or dpkg):

as at 2011-11-10 17:11:10+00:00. Gant always depends on the Groovy package, but this will get installed automatically if not already installed.

If you want to stay more up to date but don't want to install from source, there is the following deb file which creates a stand-alone installation of Gant with all the dependencies it needs, including Groovy 2.0.0:

Gant 1.9.8 standalone

Deb

Fedora Packages

The page https://admin.fedoraproject.org/pkgdb/acls/name/gant details all the Gant packages for the various Fedora versions. Sadly it seems they haven't progressed beyond 1.8.1. If there are any Fedora users out there who can contact the Fedora packagers to get them to update to the latest version that would be good.

  • No labels